package com.ssj.service.conch.parents.v1.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
public class PhoneLoginV1Req extends BaseRequest{

	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(name = "phone", value = "手机号", required = true)
    private String phone;
	
	@ApiModelProperty(name = "verificationCode", value = "短信验证码", required = true)
    private String verificationCode;
	
	@ApiModelProperty(name="alias",value="腾讯信鸽token")
	private String alias;
	
	@ApiModelProperty(name="platform",value="信鸽推送平台(ANDROID,IOS)")
	private String platform;

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getVerificationCode() {
		return verificationCode;
	}

	public void setVerificationCode(String verificationCode) {
		this.verificationCode = verificationCode;
	}

	public String getAlias() {
		return alias;
	}

	public void setAlias(String alias) {
		this.alias = alias;
	}

	public String getPlatform() {
		return platform;
	}

	public void setPlatform(String platform) {
		this.platform = platform;
	}
}
